version: "3.8"

services:
  beready:
    image: "beready:v1.8.0"
    container_name: beready
    restart: always

    ports:
      - "26443:443"
    volumes:
      - "/dat:/dat"

    environment:
      - APP_ENV=prod
      - LOG_LEVEL=info
      - TOKEN_GIT=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


    healthcheck:
      test: ["CMD", "curl", "-f", "https://localhost:443", "--insecure"]
      interval: 30s
      timeout: 10s
      retries: 3

    logging:
      driver: "json-file"
      options:
        max-size: "10m"      # Máx 10MB por archivo
        max-file: "3"        # Mantener solo 3 archivos de logs

